Previous: Starting File, Up: Scarce [Contents][Index]

#### Same Order

`--same-order`
`--preserve-order`
`-s`

  To process large lists of file names on machines with small amounts of memory. Use in conjunction with `--compare` (`--diff`, `-d`), `--list` (`-t`) or `--extract` (`--get`, `-x`).

The `--same-order` (`--preserve-order`, `-s`) option tells `tar` that the list of file names to be listed or extracted is sorted in the same order as the files in the archive. This allows a large list of names to be used, even on a small machine that would not otherwise be able to hold all the names in memory at the same time. Such a sorted list can easily be created by running ‘`tar -t`’ on the archive and editing its output.

This option is probably never needed on modern computer systems.